Skip to main content
GET
Get a single Reddit post by ID

Authorizations

X-API-Key
string
header
required

API key passed as the X-API-Key request header. Recommended for server-to-server calls.

Path Parameters

postId
string
required
Minimum string length: 1
Example:

"abc123"

Response

Get a single Reddit post by ID

subreddit
string
required

Subreddit name, without the "r/" prefix

subredditId
string
required

Reddit's internal subreddit ID (e.g. "t5_2qh33")

postId
string
required

Reddit's base36 post ID, without the "t3_" prefix

title
string
required
author
string
required

Author username, without the "u/" prefix

score
integer
required

Net upvotes (upvotes minus downvotes)

upvoteRatio
number
required

Fraction of votes that are upvotes, from 0 to 1

Required range: 0 <= x <= 1
numComments
integer
required
url
string
required

Link the post points to — the post permalink itself for text posts

selftext
string
required

Post body text (Markdown); empty string for link posts

isSelf
boolean
required

True for a text post, false for a link post

isVideo
boolean
required
isStickied
boolean
required

True if pinned to the top of the subreddit

thumbnail
string | null
required

Thumbnail image URL, or null if none/not applicable

createdAt
string
required

ISO 8601 timestamp

Full https://www.reddit.com/... URL to the post

flair
string | null
required
domain
string
required

Link domain (e.g. "i.redd.it", or "self." for text posts)